Index: u-boot.git/include/configs/armadillo.h
===================================================================
--- u-boot.git.orig/include/configs/armadillo.h	2007-03-02 13:23:45.000000000 +0100
+++ u-boot.git/include/configs/armadillo.h	2007-03-02 13:25:22.000000000 +0100
@@ -34,7 +34,7 @@
  * If we are developing, we might want to start armboot from ram
  * so we MUST NOT initialize critical regs like mem-timing ...
  */
-/*#define	CONFIG_INIT_CRITICAL*/		/* undef for developing */
+#undef	CONFIG_SKIP_LOWLEVEL_INIT
 
 /*
  * High Level Configuration Options
Index: u-boot.git/include/configs/gcplus.h
===================================================================
--- u-boot.git.orig/include/configs/gcplus.h	2007-03-02 13:23:45.000000000 +0100
+++ u-boot.git/include/configs/gcplus.h	2007-03-02 13:25:22.000000000 +0100
@@ -38,9 +38,9 @@
  * e.g. bootp/tftp download of the kernel is a far more convenient
  * when testing new kernels on this target. However the ADS GCPlus Linux
  * boot ROM leaves the MMU enabled when it passes control to U-Boot. So
- * we use lowlevel_init (CONFIG_INIT_CRITICAL) to remedy that problem.
+ * we use lowlevel_init to remedy that problem.
  */
-#undef  CONFIG_SKIP_LOWLEVEL_INIT
+#undef  CONFIG_SKIP_LOWLEVEL_INIT	/* Skip lowlevel_init */
 #define CONFIG_SKIP_RELOCATE_UBOOT	1
 
 /*
Index: u-boot.git/include/configs/integratorap.h
===================================================================
--- u-boot.git.orig/include/configs/integratorap.h	2007-03-02 13:23:45.000000000 +0100
+++ u-boot.git/include/configs/integratorap.h	2007-03-02 13:25:22.000000000 +0100
@@ -44,7 +44,7 @@
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_MISC_INIT_R	1	/* call misc_init_r during start up */
 
-#undef CONFIG_INIT_CRITICAL
+#define CONFIG_SKIP_LOWLEVEL_INIT	1
 #define CONFIG_CM_INIT		1
 #define CONFIG_CM_REMAP		1
 #undef CONFIG_CM_SPD_DETECT
Index: u-boot.git/include/configs/pxa255_idp.h
===================================================================
--- u-boot.git.orig/include/configs/pxa255_idp.h	2007-03-02 13:23:45.000000000 +0100
+++ u-boot.git/include/configs/pxa255_idp.h	2007-03-02 13:25:22.000000000 +0100
@@ -41,7 +41,7 @@
  * If we are developing, we might want to start armboot from ram
  * so we MUST NOT initialize critical regs like mem-timing ...
  */
-#define CONFIG_INIT_CRITICAL			/* undef for developing */
+#undef CONFIG_SKIP_LOWLEVEL_INIT
 
 /*
  * define the following to enable debug blinks.  A debug blink function
Index: u-boot.git/doc/README-integrator
===================================================================
--- u-boot.git.orig/doc/README-integrator	2007-03-02 13:23:45.000000000 +0100
+++ u-boot.git/doc/README-integrator	2007-03-02 13:25:22.000000000 +0100
@@ -37,7 +37,7 @@ Configuring U-Boot :
 ------------------
 	The makefile contains targets for Integrator platforms of both types
 fitted with all current variants of CM. If these targets are to be used with
-boot process c) above then CONFIG_INIT_CRITICAL may need to be defined to ensure
+boot process c) above then CONFIG_SKIP_LOWLEVEL_INIT may not be defined to ensure
 that the CM is correctly configured.
 
 	There are also targets independent of CM. These may not be suitable for
Index: u-boot.git/include/configs/lpc2292sodimm.h
===================================================================
--- u-boot.git.orig/include/configs/lpc2292sodimm.h	2007-03-01 15:36:58.000000000 +0100
+++ u-boot.git/include/configs/lpc2292sodimm.h	2007-03-02 13:27:31.000000000 +0100
@@ -34,9 +34,8 @@
  * If we are developing, we might want to start armboot from ram
  * so we MUST NOT initialize critical regs like mem-timing ...
  */
-#undef CONFIG_INIT_CRITICAL		/* undef for developing */
 
-#undef CONFIG_SKIP_LOWLEVEL_INIT
+#undef CONFIG_SKIP_LOWLEVEL_INIT /* undef for developing */
 #undef CONFIG_SKIP_RELOCATE_UBOOT
 
 /*
